org.apache.xerces.dom

## Class DOMMessageFormatter

- java.lang.Object
- - org.apache.xerces.dom.DOMMessageFormatter

    public class DOMMessageFormatter
    extends java.lang.Object

Used to format DOM error messages, using the system locale.

Version:
  $Id: DOMMessageFormatter.java 813087 2009-09-09 19:35:27Z mrglavas $
Author:
  Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

Fields
`static java.lang.String` `DOM_DOMAIN`
`static java.lang.String` `SERIALIZER_DOMAIN`
`static java.lang.String` `XML_DOMAIN`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `formatMessage(java.lang.String domain, java.lang.String key, java.lang.Object[] arguments)` Formats a message with the specified arguments using the given locale information.
`static void` `init()` Initialize Message Formatter.
`static void` `setLocale(java.util.Locale dlocale)` Set Locale to be used by the formatter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DOM_DOMAIN

    public static final java.lang.String DOM_DOMAIN

See Also:
  Constant Field Values

#### XML_DOMAIN

    public static final java.lang.String XML_DOMAIN

See Also:
  Constant Field Values

#### SERIALIZER_DOMAIN

    public static final java.lang.String SERIALIZER_DOMAIN

See Also:
  Constant Field Values

### Method Detail

#### formatMessage

    public static java.lang.String formatMessage(java.lang.String domain,
                                                 java.lang.String key,
                                                 java.lang.Object[] arguments)
                                          throws java.util.MissingResourceException

Formats a message with the specified arguments using the given locale information.

Parameters:
  `domain` - domain from which error string is to come.
  `key` - The message key.
  `arguments` - The message replacement text arguments. The order of the arguments must match that of the placeholders in the actual message.
Returns:
  the formatted message.
Throws:
  `java.util.MissingResourceException` - Thrown if the message with the specified key cannot be found.

#### init

    public static void init()

Initialize Message Formatter.

#### setLocale

    public static void setLocale(java.util.Locale dlocale)

Set Locale to be used by the formatter.

Parameters:
  `dlocale` -